Bug 472167 - (perl-asa) Review Request: perl-asa - Lets your class/object say it works like something else
Review Request: perl-asa - Lets your class/object say it works like something...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: perl-Check-ISA
  Show dependency treegraph
Reported: 2008-11-19 00:10 EST by Chris Weyl
Modified: 2011-08-12 08:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-23 02:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-19 00:10:51 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-asa.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-asa-0.02-1.fc9.src.rpm

Perl 5 doesn't natively support Java-style interfaces, and it doesn't
support Perl 6 style roles either.

You can get both of these things in half a dozen different ways via various
CPAN modules, but they usually require that you buy into "their way" of
implementing your code.

This package overrides the isa() method, allowing your class to claim it's a
class it's not (that is, isn't in @ISA).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=939375
Comment 1 Parag AN(पराग) 2008-11-19 04:31:33 EST
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=939617
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b2b0358f0c8548dacdbdaeaa7c9fe5f7  asa-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=21,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.18 cusr  0.03 csys =  0.24 CPU)

+ Package perl-asa-0.02-1.fc11
  Provides: perl(asa) = 0.02
  Requires:  perl >= 0:5.005  perl(Carp)  perl(strict)  perl(vars)

Comment 2 Chris Weyl 2008-11-19 11:31:26 EST
New Package CVS Request
Package Name: perl-asa
Short Description: Lets your class/object say it works like something else
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-11-22 23:23:41 EST
cvs done.
Comment 4 Jose Pedro Oliveira 2011-08-11 21:48:14 EDT
Package Change Request
Package Name: perl-asa
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]
Comment 5 Gwyn Ciesla 2011-08-12 08:26:39 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.